"""
/***************************************************************************
Name			 	 : Threads testing Plugin
Description          : For testing purposes
Date                 : 13/Aug/11 
copyright            : (C) 2011 by Dimitris Kavroudakis
email                : onoma@in.gr 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
"""
# Import the PyQt and QGIS libraries
from PyQt4.QtCore import * 
from PyQt4.QtGui import *
from qgis.core import *
# Initialize Qt resources from file resources.py
import resources_rc,  time
# Import the code for the dialog
from ThreadsDialog import ThreadsDialog

class Threads: 

  def __init__(self, iface):
    # Save reference to the QGIS interface
    self.iface = iface   

  def initGui(self):  
    # Create action that will start plugin configuration
    self.action = QAction(QIcon(":/plugins/Threads/icon.png"), "Thread Test", self.iface.mainWindow())
    # connect the action to the run method
    QObject.connect(self.action, SIGNAL("activated()"), self.run) 

    # Add toolbar button and menu item
    self.iface.addToolBarIcon(self.action)
    self.iface.addPluginToMenu("&Thread Test", self.action)

  def unload(self):
    # Remove the plugin menu item and icon
    self.iface.removePluginMenu("&Thread Test",self.action)
    self.iface.removeToolBarIcon(self.action)


  # run method that performs all the real work
  def run(self): 
    # create and show the dialog 
    dlg = ThreadsDialog(self.iface.mainWindow()) 
    # show the dialog
    dlg.show()




